{
    attributes = (
        {
            columnName = "ACT_KEY"; 
            externalType = NUMBER; 
            name = actKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ETY_CODE"; 
            externalType = VARCHAR2; 
            name = etyCode; 
            valueClassName = NSString; 
            width = 10; 
        }
    ); 
    attributesUsedForLocking = (actKey, dCreation, dModification, etyCode); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EORepartEmploiActivite"; 
    classProperties = (dCreation, dModification, toActiviteProfessionnelle, toEmploiType); 
    externalName = "GRHUM.REPART_EMPLOI_TYPE_ACTI_OLD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (toActiviteProfessionnelle, toEmploiType); }; 
    name = "Fwkpers_RepartEmploiActivite"; 
    primaryKeyAttributes = (actKey, etyCode); 
    relationships = (
        {
            destination = "Fwkpers_ActiviteProfessionnelle"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = actKey; sourceAttribute = actKey; }); 
            name = toActiviteProfessionnelle; 
        }, 
        {
            destination = "Fwkpers_EmploiType"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etyCode; sourceAttribute = etyCode; }); 
            name = toEmploiType; 
        }
    ); 
}
